// HTTP Methods supported by the API
export type HttpMethod = 'GET' | 'POST' | 'PUT' | 'DELETE';

// Standard API Response interface
export interface ApiResponse<T = any> {
  data: T;
  status: number;
  statusText: string;
  headers: Record<string, string>;
}

// Standard API Error interface
export interface ApiError {
  message: string;
  code: string;
  status: number;
  details?: Record<string, any>;
}

// API Configuration interface
export interface ApiConfig {
  baseURL: string;
  timeout: number;
  headers?: Record<string, string>;
}

// Request options interface
export interface RequestOptions {
  headers?: Record<string, string>;
  params?: Record<string, any>;
  timeout?: number;
}